Page MenuHomeFreeBSD

cad/meshlab: Resurrect, update to 2020.05 and take maintainer'ship
AcceptedPublic

Authored by lbartoletti on May 4 2020, 2:24 PM.

Details

Summary

cad/meshlab: Resurrect, update to 2020.05 and take maintainer'ship
devel/vcglib: Update to @f7871ee [1]

[1] There is not new release, but Meshlab require this version https://github.com/cnr-isti-vclab/meshlab/tree/Meshlab-2020.05

Test Plan

portlint (looks fine.)
poudriere (11/12/HEAD i386/amd64)
Tested on my laptop 12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 32035
Build 29563: arc lint + arc unit

Event Timeline

lbartoletti created this revision.May 4 2020, 2:24 PM
lbartoletti requested review of this revision.May 4 2020, 2:24 PM
tcberner added inline comments.
cad/meshlab/Makefile
19

^ I generally sort the build-only depends at the end on a new line, and sort it alphabetically:

USE_QT=   core gui network opengl scripts widgets xml xmlpatterns  \
          buildtools_build
37–41

^ See 6.1.1. Handling Symbolic Links in the porters handbook -- this should likely be an ${RLN}

devel/vcglib/Makefile
4–5

^ remove it if it is not necessary

16

^ it's a shame their tag is v1.0.0-640-gf7871eed :/

lbartoletti retitled this revision from cad/meshlab: Resurrect, update to 2020.05 and take maintainer'ship to [WIP]cad/meshlab: Resurrect, update to 2020.05 and take maintainer'ship.May 4 2020, 6:22 PM

Sorry I forgot the WIP tag.

Thanks tobias for your review.

I still have to try again with CMake if things are cleaner.

lbartoletti added inline comments.May 5 2020, 3:23 PM
devel/vcglib/Makefile
16

Yes :/ I opened an issue for a new release

lbartoletti marked an inline comment as done.May 16 2020, 6:10 AM
lbartoletti added inline comments.
devel/vcglib/Makefile
16

I'm wondering, if I should update this port or instead of use a GH_TUPLE to get the exact revision of vcglib needed by meshlad?

fernape added inline comments.May 16 2020, 3:53 PM
devel/vcglib/Makefile
16

I'm OK with updating vcglib. I created the port with the solely purpose of helping with cad/meshlab. I would wait a couple of days and see if upstream answers your call for a new release.

fernape requested changes to this revision.May 16 2020, 3:56 PM

portlint -AC shows many patches are not in canonical form. I would suggest make patch && make makepatch

This revision now requires changes to proceed.May 16 2020, 3:56 PM

portlint -AC shows many patches are not in canonical form. I would suggest make patch && make makepatch

Oo Which patches? portlint -AC looks fine on my machine.

portlint -AC shows many patches are not in canonical form. I would suggest make patch && make makepatch

Oo Which patches? portlint -AC looks fine on my machine.

Arrg. You're right. After the repocopy and arc patch this review I expected the old patches to go away, but they didn't.

  • portlint -AC is OK
  • Builds fine in {11.3,12.1}{amd64,i386} and 13-current amd64
  • Runs fine in 12.1 amd64 (light testing)

The changes pointed out by @tcberner would need to be addressed though :-)

delete old patches and apply tobias comments

lbartoletti marked 2 inline comments as done.May 29 2020, 5:18 AM

Oo Which patches? portlint -AC looks fine on my machine.

Arrg. You're right. After the repocopy and arc patch this review I expected the old patches to go away, but they didn't.

My bad. Should be better now!

The changes pointed out by @tcberner would need to be addressed though :-)

Of course. I was running more tests, but we'll stick with what works well here. :)

lbartoletti retitled this revision from [WIP]cad/meshlab: Resurrect, update to 2020.05 and take maintainer'ship to cad/meshlab: Resurrect, update to 2020.05 and take maintainer'ship.May 29 2020, 5:20 AM

Oo Which patches? portlint -AC looks fine on my machine.

Arrg. You're right. After the repocopy and arc patch this review I expected the old patches to go away, but they didn't.

My bad. Should be better now!

It is:

svn cp 'svn+ssh://repo.freebsd.org/ports/head/cad/meshlab/@495966' cad/meshlab
arc patch D24686

Does what it is supposed to do and doesn't leave anything behind.

The changes pointed out by @tcberner would need to be addressed though :-)

Of course. I was running more tests, but we'll stick with what works well here. :)

Oo Which patches? portlint -AC looks fine on my machine.

Arrg. You're right. After the repocopy and arc patch this review I expected the old patches to go away, but they didn't.

My bad. Should be better now!

It is:

svn cp 'svn+ssh://repo.freebsd.org/ports/head/cad/meshlab/@495966' cad/meshlab
arc patch D24686

Does what it is supposed to do and doesn't leave anything behind.

Yes. Thanks

Add patch-src_meshlab_glarea.cpp: prepare for Qt5.15

Add patch-src_meshlab_glarea.cpp: prepare for Qt5.15

good job :)

tcberner requested changes to this revision.Jun 4 2020, 5:10 PM

Don't forget to remove it from MOVED

This revision now requires changes to proceed.Jun 4 2020, 5:10 PM
lbartoletti updated this revision to Diff 72681.Jun 4 2020, 7:24 PM

repost with MOVED

tcberner fernape is it ok for you?

tcberner fernape is it ok for you?

in devel/vcglib, remove #DISTVERSIONPREFIX= please :-)

remove #DISTVERSIONPREFIX

fernape accepted this revision.Fri, Jun 26, 5:43 AM

LGTM, good job!

tcberner requested changes to this revision.Sun, Jun 28, 5:47 PM

I get some plist errors in vcglib:

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: include/vcglib/apps/sample/space_rasterized_packer/space_rasterized_packer.cpp
Error: Orphaned: include/vcglib/apps/sample/space_rasterized_packer/space_rasterized_packer.pro
Error: Orphaned: include/vcglib/apps/sample/trimesh_resampler/trimesh_resampler.cpp
Error: Orphaned: include/vcglib/apps/sample/trimesh_resampler/trimesh_resampler.pro
This revision now requires changes to proceed.Sun, Jun 28, 5:47 PM
fernape added a comment.EditedMon, Jun 29, 5:59 AM

I get some plist errors in vcglib:

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: include/vcglib/apps/sample/space_rasterized_packer/space_rasterized_packer.cpp
Error: Orphaned: include/vcglib/apps/sample/space_rasterized_packer/space_rasterized_packer.pro
Error: Orphaned: include/vcglib/apps/sample/trimesh_resampler/trimesh_resampler.cpp
Error: Orphaned: include/vcglib/apps/sample/trimesh_resampler/trimesh_resampler.pro

It's weird. I have that package from May when I arc applied this review:

$ ls -latrh /usr/local/poudriere/data/packages/12_1amd64-default/All/vcglib-1.0.1_1.txz
-rw-r--r--  1 nobody  wheel   4.6M May 16 20:53 /usr/local/poudriere/data/packages/12_1amd64-default/All/vcglib-1.0.1_1.txz

And there's no such file:

$ pkg info -l -F /usr/local/poudriere/data/packages/12_1amd64-default/All/vcglib-1.0.1_1.txz | grep space_rasterized_packer

Fix vcglib pkg-plist

I get some plist errors in vcglib:

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: include/vcglib/apps/sample/space_rasterized_packer/space_rasterized_packer.cpp
Error: Orphaned: include/vcglib/apps/sample/space_rasterized_packer/space_rasterized_packer.pro
Error: Orphaned: include/vcglib/apps/sample/trimesh_resampler/trimesh_resampler.cpp
Error: Orphaned: include/vcglib/apps/sample/trimesh_resampler/trimesh_resampler.pro

It's weird. I have that package from May when I arc applied this review:

$ ls -latrh /usr/local/poudriere/data/packages/12_1amd64-default/All/vcglib-1.0.1_1.txz
-rw-r--r--  1 nobody  wheel   4.6M May 16 20:53 /usr/local/poudriere/data/packages/12_1amd64-default/All/vcglib-1.0.1_1.txz

And there's no such file:

$ pkg info -l -F /usr/local/poudriere/data/packages/12_1amd64-default/All/vcglib-1.0.1_1.txz | grep space_rasterized_packer

Same weirdness here. Anyway I confirm the issue, and it's fixed now

Change mail address

tcberner accepted this revision.Thu, Jul 9, 6:12 AM

ship it

This revision is now accepted and ready to land.Thu, Jul 9, 6:12 AM